body {
  background-color: #484848;
}
.login {
  padding: 80px;
  height: 100%;
  display: grid;
  grid-template-columns: 1fr minmax(min-content, 580px);
  grid-template-rows: 1fr auto 1fr;
  grid-column-gap: 64px;
  grid-row-gap: 20px;
  place-items: center;
  overflow: auto;
  background: url(/assets/images/login-background.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}
.login::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(90deg, #000 0%, rgba(0, 0, 0, 0.00) 100%) 0 0 / 50% 100% no-repeat;
}
.login.sign-up {
  background: #7C99BA url(/assets/images/sign-up-background.jpg);
  background-size: 100% 100%, cover;
  background-repeat: no-repeat, no-repeat;
  background-position: center, center;
}
.login > * {
  flex-shrink: 0;
  z-index: 0;
}
.login a {
  color: #0071F7;
  text-decoration: underline;
}
.login .logo-clipper {
  place-self: start ;
}
.login .welcome-text {
  flex: 1;
  display: flex;
  flex-direction: column;
  grid-column: 1;
  grid-row: 2;
  color: #FFF;
  font-family: Poppins, sans-serif;
  font-size: 26px;
  font-style: normal;
  font-weight: 400;
  line-height: 44px;
  /* 169.231% */
}
.login .welcome-text h1 {
  font-size: 48px;
  font-style: normal;
  font-weight: 700;
  line-height: 68px;
  /* 141.667% */
  margin: 0 0 14px;
}
.login .welcome-text p {
  margin: 0;
}
.login .verify-link {
  text-decoration: underline;
}
.login .verify-link:hover {
  opacity: 0.8;
}
.login .login-box,
.login .sign-up-box {
  width: 100%;
  min-height: 360px;
  display: flex;
  flex-direction: column;
  background-color: white;
  padding: 40px;
  border-radius: 10px;
  box-shadow: 0 2px 20px 0 rgba(0, 0, 0, 0.5);
  overflow: hidden;
  margin: auto;
  grid-column: 2;
  grid-row: 2;
}
.login .login-box h1,
.login .sign-up-box h1 {
  margin: 20px 0;
  color: #212121;
  font-size: 16px;
  font-weight: bold;
  line-height: 30px;
  text-align: center;
}
.login .login-box .hints,
.login .sign-up-box .hints {
  display: flex;
  font-size: 16px;
  line-height: 26px;
  text-align: center;
  padding-bottom: 18px;
  margin: 0;
  border-bottom: 1px solid #DADADA;
}
.login .login-box .hints .hint,
.login .sign-up-box .hints .hint {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-right: 1px solid #D8D8D8;
  padding-right: 25px;
  margin-right: 25px;
}
.login .login-box .hints .hint:last-child,
.login .sign-up-box .hints .hint:last-child {
  padding-right: 0;
  margin-right: 0;
  border-right: none;
}
.login .login-box .hints .hint > h2,
.login .sign-up-box .hints .hint > h2 {
  margin: 9px 0 0;
  color: #212121;
  font-size: 14px;
  font-weight: bold;
  line-height: 16px;
  text-align: center;
}
.login .login-box .hints .hint > p,
.login .sign-up-box .hints .hint > p {
  margin: 10px 0 0;
  color: #212121;
  font-size: 12px;
  line-height: 18px;
  text-align: center;
}
.login .login-box .hints .hint > .number,
.login .sign-up-box .hints .hint > .number {
  color: #ACACAC;
  font-size: 24px;
  font-weight: bold;
  line-height: 28px;
  text-align: center;
  margin-bottom: 23px;
}
.login .login-box .control-group,
.login .sign-up-box .control-group {
  width: 100%;
  padding: 0 5px;
  display: flex;
  flex-direction: column;
  align-self: center;
}
.login .login-box .email-sign-up,
.login .sign-up-box .email-sign-up {
  display: flex;
  flex-direction: column;
}
.login .login-box .force-email-sign-up button,
.login .sign-up-box .force-email-sign-up button {
  background: none;
  border: none;
  font-size: 13px;
  color: #0071F7;
  cursor: pointer;
}
.login .login-box .force-email-sign-up button:hover,
.login .sign-up-box .force-email-sign-up button:hover {
  text-decoration: underline;
}
.login .login-box .youtube-info,
.login .sign-up-box .youtube-info {
  font-size: 13px;
  text-align: center;
}
.login .login-box .form-group,
.login .sign-up-box .form-group {
  margin: 15px 0;
}
.login .login-box .or,
.login .sign-up-box .or {
  margin: 15px 0;
  text-align: center;
  color: #4A4A4A;
  font-size: 13px;
  font-weight: bold;
}
.login .login-box .sign-in-with-google-button,
.login .sign-up-box .sign-in-with-google-button,
.login .login-box .sign-in-with-google-button-disabled,
.login .sign-up-box .sign-in-with-google-button-disabled {
  border: 1px solid #BEBEBE;
  color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 12px 0;
  border-radius: 4px;
  font-size: 14px;
  width: 100%;
  text-decoration: none;
}
.login .login-box .sign-in-with-google-button:hover:not([disabled]),
.login .sign-up-box .sign-in-with-google-button:hover:not([disabled]),
.login .login-box .sign-in-with-google-button-disabled:hover:not([disabled]),
.login .sign-up-box .sign-in-with-google-button-disabled:hover:not([disabled]) {
  background-color: #eeeeee;
}
.login .login-box .sign-in-with-google-button[disabled],
.login .sign-up-box .sign-in-with-google-button[disabled],
.login .login-box .sign-in-with-google-button-disabled[disabled],
.login .sign-up-box .sign-in-with-google-button-disabled[disabled] {
  opacity: 0.5;
}
.login .login-box .sign-in-with-google-button > img,
.login .sign-up-box .sign-in-with-google-button > img,
.login .login-box .sign-in-with-google-button-disabled > img,
.login .sign-up-box .sign-in-with-google-button-disabled > img {
  margin-right: 9px;
  height: 20px;
}
.login .login-box .input-block,
.login .sign-up-box .input-block {
  position: relative;
  margin: 0;
}
.login .login-box .input-icon,
.login .sign-up-box .input-icon {
  position: absolute;
  top: 9px;
  left: 0;
  padding: 0 6px 0 9px;
  border-right: 1px solid #e1e1e1;
  color: #0071F7;
}
.login .login-box .input-icon i,
.login .sign-up-box .input-icon i {
  font-size: 28px;
}
.login .login-box input,
.login .sign-up-box input {
  display: block;
  width: 100%;
  color: #4A4A4A;
  font-size: 16px;
  padding: 12px 5px 12px 55px;
  border: 1px solid #BEBEBE;
  border-radius: 2px;
}
.login .login-box .error,
.login .sign-up-box .error {
  color: #0071F7;
  text-align: center;
  font-size: 18px;
}
.login .login-box .error .material-icons,
.login .sign-up-box .error .material-icons {
  vertical-align: top;
}
.login .login-box button[type="submit"],
.login .sign-up-box button[type="submit"],
.login .login-box .login-button,
.login .sign-up-box .login-button {
  margin: 13px 0 0;
  background-color: #0071F7;
  border: none;
  color: white;
  padding: 10px 30px;
  font-size: 22px;
  text-align: center;
  border-radius: 4px;
  cursor: pointer;
  text-decoration: none;
}
.login .login-box button[type="submit"]:hover:not([disabled]),
.login .sign-up-box button[type="submit"]:hover:not([disabled]),
.login .login-box .login-button:hover:not([disabled]),
.login .sign-up-box .login-button:hover:not([disabled]) {
  background-color: #005ac4;
}
.login .login-box button[type="submit"][disabled],
.login .sign-up-box button[type="submit"][disabled],
.login .login-box .login-button[disabled],
.login .sign-up-box .login-button[disabled] {
  opacity: 0.5;
  cursor: default;
}
.login .login-box .forgot-password,
.login .sign-up-box .forgot-password {
  margin: 15px 0 30px;
  text-align: center;
}
.login .login-box .forgot-password a,
.login .sign-up-box .forgot-password a {
  color: #4A4A4A;
  text-decoration: underline;
  font-size: 14px;
  font-weight: 300;
}
.login .login-box .signup,
.login .sign-up-box .signup {
  background-color: #EEEEEE;
  text-align: center;
  padding: 18px 0;
  font-size: 14px;
  letter-spacing: 0.5px;
  color: #4A4A4A;
}
.login .login-box .signup a,
.login .sign-up-box .signup a {
  color: #0071F7;
  text-decoration: underline;
}
.login .login-box .policy-links,
.login .sign-up-box .policy-links {
  font-size: 14px;
  line-height: 28px;
  margin: 0 0 24px 0;
  text-align: center;
}
.login .login-box label.checkbox-label,
.login .sign-up-box label.checkbox-label {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  color: #545454;
}
.login .login-box label.checkbox-label input,
.login .sign-up-box label.checkbox-label input {
  width: auto;
  font-size: 15px;
  margin-right: 8px;
}
.login .sign-up-box {
  max-width: 800px;
}
.login #forgot-password-modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.2);
  display: flex;
  justify-content: center;
  align-items: center;
}
.login #forgot-password-modal-overlay .forgot-password-modal {
  background-color: white;
  padding: 80px 40px;
  position: relative;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
}
.login #forgot-password-modal-overlay .forgot-password-modal label {
  display: block;
  font-weight: bold;
  color: #212121;
  margin-bottom: 15px;
}
.login #forgot-password-modal-overlay .forgot-password-modal input {
  display: block;
  width: 100%;
  height: 42px;
  line-height: 42px;
  padding: 0 5px;
}
.login #forgot-password-modal-overlay .forgot-password-modal button[type="submit"] {
  display: block;
  margin-top: 13px;
  background-color: #0071F7;
  border: none;
  color: white;
  padding: 10px 30px;
  font-size: 18px;
}
.login #forgot-password-modal-overlay .modal-close {
  position: absolute;
  top: 0;
  right: 0;
  border: none;
  background: none;
  font-size: 20px;
  padding: 0 8px;
  cursor: pointer;
}
.login .error-block {
  color: #0071F7;
  font-size: 12px;
  margin: 5px 0 0;
}
.login .error-block p {
  margin: 1px 0;
}
.login .login-link-row {
  height: 60px;
  background: #0D47A1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  color: white;
  font-size: 16px;
  margin-top: 10px;
}
.login .login-link-row a {
  color: white;
}
@media (max-width: 1024px) {
  .login .logo-line,
  .login .logo-cube {
    display: none;
  }
  .login .logo-clipper {
    margin: 0;
  }
}
.mobile-warning-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: none;
  justify-content: center;
  align-items: center;
}
.mobile-warning-overlay .mobile-warning {
  width: 95%;
  max-width: 400px;
  border-radius: 6px;
  background: white;
  box-shadow: 0 10px 50px 6px rgba(0, 0, 0, 0.25);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}
.mobile-warning-overlay .mobile-warning h2 {
  color: #212121;
  font-size: 14px;
  font-weight: bold;
  text-align: center;
  margin: 24px 0 0;
}
.mobile-warning-overlay .mobile-warning p {
  margin: 20px 0;
  color: #212121;
  font-size: 12px;
  line-height: 18px;
  text-align: center;
}
.mobile-warning-overlay .mobile-warning input[type="email"] {
  width: 100%;
  border-radius: 4px;
  border: 1px solid #979797;
  padding: 9px 10px;
  font-size: 12px;
  color: #4A4A4A;
}
.mobile-warning-overlay .mobile-warning .submit-button {
  display: inline-block;
  background: #0071F7;
  border: 1px solid #0071F7;
  border-radius: 2px;
  cursor: pointer;
  text-align: center;
  padding: 8px 13px;
  -webkit-transition: opacity 0.2s, background-color 0.2s, border-color 0.2s;
  -moz-transition: opacity 0.2s, background-color 0.2s, border-color 0.2s;
  -ms-transition: opacity 0.2s, background-color 0.2s, border-color 0.2s;
  -o-transition: opacity 0.2s, background-color 0.2s, border-color 0.2s;
  transition: opacity 0.2s, background-color 0.2s, border-color 0.2s;
  color: white;
  font-size: 16px;
  padding: 8px 23px;
  margin: 20px 0;
  border-radius: 4px;
}
.mobile-warning-overlay .mobile-warning .submit-button:active {
  background-color: #0071F7;
}
.mobile-warning-overlay .mobile-warning .submit-button:hover:not(:disabled) {
  background-color: #449aff;
  border-color: #449aff;
}
.mobile-warning-overlay .mobile-warning .submit-button:focus {
  outline: none;
}
.mobile-warning-overlay .mobile-warning .submit-button:disabled {
  opacity: 0.7;
  cursor: default;
}
@media screen and (orientation: portrait) and (max-width: 799px), screen and (orientation: landscape) and (max-height: 500px) {
  .mobile-warning-overlay {
    display: flex;
  }
  .login {
    grid-template-columns: 1fr;
    padding: 10px;
  }
  .login .welcome-text {
    display: none;
  }
  .login .login-box {
    grid-column: 1;
  }
  .login .sign-up-box,
  .login .login-link-row {
    display: none;
  }
}

